MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025775Community[OCCT] OCCT:Visualizationpublic2015-01-31 04:422015-10-23 20:51
ReporterVico Liang 
Assigned Toski 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0025775: "Default Gradient Backgound" in V3d_Viewer has no effect in new created V3d_View.
DescriptionThe default gradient colors set by V3d_Viewer::SetDefaultBgGradientColors, but it won't affect the gradient background of new V3d_View.

The problem might be that the "gradient background" is overrided by "background". Please see the method below:

void V3d_View::SetWindow(const Handle(Aspect_Window)& TheWindow)
{
  MyView->SetWindow(TheWindow) ;
  // method V3d_View::SetWindow() should assign the field MyWindow before calling Redraw()
  MyWindow = TheWindow;
  // SetWindow carries out SetRatio and modifies
  MyView->SetContext(MyViewContext) ;
  MyView->SetBackground(MyBackground) ; //[BUG: This overrided the gradient backgound setting in previous function MyView->SetWindow(TheWindow).
  MyViewer->SetViewOn(this) ;
  MyView->Redraw() ;
}
Steps To Reproducebugs/vis/bug25775
Additional information
and documentation updates
List of changes:

Method V3d_View::SetWindow has been fixed. The background color of the viewer is applied to underlying graphical view after setting window.
TagsNo tags attached.
Test case numberbugs vis bug25775
Attached Files

- Relationships
related to 0026404closedbugmaster Open CASCADE Visualization, Ray Tracing - use solid background color when gradient color is disabled 

-  Notes
(0043248)
git (administrator)
2015-07-21 21:48

Branch CR25775 has been created by apl.

SHA-1: 4e4d05f4128cf65c61b0d4cc04a0bebe1ca3fbb4


Detailed log of new commits:

Author: apl
Date: Tue Jul 21 21:29:09 2015 +0300

    0025775: "Default Gradient Background" in V3d_Viewer has no effect in new created V3d_View.
(0043294)
apl (developer)
2015-07-22 15:37

Dear Kirill,

Please review CR25775.
(0043295)
kgv (developer)
2015-07-22 15:53

Please test the patch.
(0043414)
git (administrator)
2015-07-24 15:21

Branch CR25775 has been updated forcibly by apv.

SHA-1: 1605a47ae999a235f5983a7a47b8418dccc162bd
(0043415)
apv (tester)
2015-07-24 15:21

Branch CR25775 has been rebased on the current master
(0043461)
apv (tester)
2015-07-27 13:27

Dear BugMaster,

Branch CR25775 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1605a47ae999a235f5983a7a47b8418dccc162bd

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug25775 - OK
http://occt-tests/CR25775-master-occt-64/Debian70-64/bugs/vis/bug25775.html [^]
http://occt-tests/CR25775-master-occt-64/Windows-64-VC10/bugs/vis/bug25775.html [^]

Testing on Linux:
Total MEMORY difference: 100028160 / 99899746 [+0.13%]
Total CPU difference: 17390.559999999634 / 17401.309999999412 [-0.06%]

Testing on Windows:
Total MEMORY difference: 57709015 / 58593510 [-1.51%]
Total CPU difference: 16141.095867898925 / 16889.713466699293 [-4.43%]
(0044157)
git (administrator)
2015-08-14 10:53

Branch CR25775 has been deleted by inv.

SHA-1: 1605a47ae999a235f5983a7a47b8418dccc162bd

- Related Changesets
occt: master f42753ed
Timestamp: 2015-07-21 18:29:09
Author: apl
Committer: bugmaster
Details ] Diff ]
0025775: "Default Gradient Background" in V3d_Viewer has no effect in new created V3d_View.
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug25775 Diff ] File ]
occt: master ba38396e
Timestamp: 2015-08-25 08:17:18
Author: abv
Committer: ski
Details ] Diff ]
0025775: "Default Gradient Backgound" in V3d_Viewer has no effect in new created V3d_View.

Complete the fix: add gradient background in second variant of V3d_View::SetWindow()
mod - src/V3d/V3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-31 04:42 Vico Liang New Issue
2015-01-31 04:42 Vico Liang Assigned To => kgv
2015-04-06 14:00 kgv Target Version 6.9.0 => 7.1.0
2015-07-07 10:20 kgv Relationship added related to 0026404
2015-07-21 18:54 apl Assigned To kgv => apl
2015-07-21 18:54 apl Status new => assigned
2015-07-21 21:48 git Note Added: 0043248
2015-07-22 15:37 apl Note Added: 0043294
2015-07-22 15:37 apl Assigned To apl => kgv
2015-07-22 15:37 apl Status assigned => resolved
2015-07-22 15:37 apl Steps to Reproduce Updated View Revisions
2015-07-22 15:53 kgv Note Added: 0043295
2015-07-22 15:53 kgv Assigned To kgv => bugmaster
2015-07-22 15:53 kgv Severity minor => trivial
2015-07-22 15:53 kgv Status resolved => reviewed
2015-07-22 15:53 kgv Target Version 7.1.0 => 7.0.0
2015-07-24 15:21 git Note Added: 0043414
2015-07-24 15:21 apv Note Added: 0043415
2015-07-24 15:21 apv Assigned To bugmaster => apv
2015-07-27 12:26 apv Test case number => bugs vis bug25775
2015-07-27 13:27 apv Note Added: 0043461
2015-07-27 13:27 apv Assigned To apv => bugmaster
2015-07-27 13:27 apv Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master f42753ed
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:53 git Note Added: 0044157
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-08-28 11:44 ski Changeset attached => occt master ba38396e
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 12:54 apl Additional Information Updated View Revisions
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker